#include "first.h"
#include "RawCompressor.h"

RawCompressor::RawCompressor(void)
{
}

RawCompressor::~RawCompressor(void)
{
}

const char *RawCompressor::identify(void)
{
	return "RawCompressor";
}

CompressorTypes RawCompressor::enumerate(void)
{
	return CT_RawCompressor;
}

void RawCompressor::compress(const CompressorInput &input,DecompressorInput *output)
{
	output->lengthInBytes=input.lengthInBytes;
	output->buffer=NEW char[input.lengthInBytes];
	memcpy(output->buffer,input.buffer,input.lengthInBytes);
}

void RawCompressor::decompress(const DecompressorInput &input,CompressorInput *output)
{
	output->lengthInBytes=input.lengthInBytes;
	output->buffer=NEW char[input.lengthInBytes];
	memcpy(output->buffer,input.buffer,input.lengthInBytes);
}
